<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RCcdHostedDNGroup StructType
 * @subpackage Structs
 */
class RCcdHostedDNGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The pstnFailoverStripDigits
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pstnFailoverStripDigits;
    /**
     * The pstnFailoverPrependDigits
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pstnFailoverPrependDigits;
    /**
     * The usePstnFailover
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $usePstnFailover;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RCcdHostedDNGroup
     * @uses RCcdHostedDNGroup::setName()
     * @uses RCcdHostedDNGroup::setDescription()
     * @uses RCcdHostedDNGroup::setPstnFailoverStripDigits()
     * @uses RCcdHostedDNGroup::setPstnFailoverPrependDigits()
     * @uses RCcdHostedDNGroup::setUsePstnFailover()
     * @uses RCcdHostedDNGroup::setUuid()
     * @param string $name
     * @param string $description
     * @param string $pstnFailoverStripDigits
     * @param string $pstnFailoverPrependDigits
     * @param string $usePstnFailover
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $pstnFailoverStripDigits = null, $pstnFailoverPrependDigits = null, $usePstnFailover = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setPstnFailoverStripDigits($pstnFailoverStripDigits)
            ->setPstnFailoverPrependDigits($pstnFailoverPrependDigits)
            ->setUsePstnFailover($usePstnFailover)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdHostedDNGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdHostedDNGroup
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get pstnFailoverStripDigits value
     * @return string|null
     */
    public function getPstnFailoverStripDigits()
    {
        return $this->pstnFailoverStripDigits;
    }
    /**
     * Set pstnFailoverStripDigits value
     * @param string $pstnFailoverStripDigits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdHostedDNGroup
     */
    public function setPstnFailoverStripDigits($pstnFailoverStripDigits = null)
    {
        $this->pstnFailoverStripDigits = $pstnFailoverStripDigits;
        return $this;
    }
    /**
     * Get pstnFailoverPrependDigits value
     * @return string|null
     */
    public function getPstnFailoverPrependDigits()
    {
        return $this->pstnFailoverPrependDigits;
    }
    /**
     * Set pstnFailoverPrependDigits value
     * @param string $pstnFailoverPrependDigits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdHostedDNGroup
     */
    public function setPstnFailoverPrependDigits($pstnFailoverPrependDigits = null)
    {
        $this->pstnFailoverPrependDigits = $pstnFailoverPrependDigits;
        return $this;
    }
    /**
     * Get usePstnFailover value
     * @return string|null
     */
    public function getUsePstnFailover()
    {
        return $this->usePstnFailover;
    }
    /**
     * Set usePstnFailover value
     * @param string $usePstnFailover
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdHostedDNGroup
     */
    public function setUsePstnFailover($usePstnFailover = null)
    {
        $this->usePstnFailover = $usePstnFailover;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCcdHostedDNGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
